Will the new Magic Mouse work with the 2-year old iMacs just fine?

Back To Product

Follow this Question

2 Answers from the Community

  • Best Answer:

    As long as you are on OSX 10.5.8 or above, the mouse will work.

    Was this useful? Answer 1

    6 of 6 people found this useful

  • Yes. As long as you are running 10.5.8+

    Was this useful? Answer 2

    3 of 3 people found this useful

Related Questions